com.fasterxml.jackson.databind.deser.impl

## Class CreatorCollector.Vanilla

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.ValueInstantiator
  - - com.fasterxml.jackson.databind.deser.impl.CreatorCollector.Vanilla

All Implemented Interfaces:
  Serializable

Enclosing class:
  CreatorCollector

    protected static final class CreatorCollector.Vanilla
    extends ValueInstantiator
    implements Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `TYPE_COLLECTION`
`static int` `TYPE_HASH_MAP`
`static int` `TYPE_MAP`

### Constructor Summary

Constructors
Constructor and Description
`CreatorCollector.Vanilla(int t)`

### Method Summary

Methods
`boolean` `canCreateUsingDefault()` Method that can be called to check whether a default creator (constructor, or no-arg static factory method) is available for this instantiator
`boolean` `canInstantiate()` Method that will return true if any of `canCreateXxx` method returns true: that is, if there is any way that an instance could be created.
`Object` `createUsingDefault(DeserializationContext ctxt)` Method called to create value instance from a JSON value when no data needs to passed to creator (constructor, factory method); typically this will call the default constructor of the value object.
`String` `getValueTypeDesc()` Method that returns description of the value type this instantiator handles.

### Methods inherited from class com.fasterxml.jackson.databind.deser.ValueInstantiator

`_createFromStringFallbacks, canCreateFromBoolean, canCreateFromDouble, canCreateFromInt, canCreateFromLong, canCreateFromObjectWith, canCreateFromString, canCreateUsingDelegate, createFromBoolean, createFromDouble, createFromInt, createFromLong, createFromObjectWith, createFromString, createUsingArrayDelegate, createUsingDelegate, getDefaultCreator, getDelegateCreator, getDelegateType, getFromObjectArguments, getIncompleteParameter, getWithArgsCreator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_COLLECTION

    public static final int TYPE_COLLECTION

See Also:
  Constant Field Values

#### TYPE_MAP

    public static final int TYPE_MAP

See Also:
  Constant Field Values

#### TYPE_HASH_MAP

    public static final int TYPE_HASH_MAP

See Also:
  Constant Field Values

### Constructor Detail

#### CreatorCollector.Vanilla

    public CreatorCollector.Vanilla(int t)

### Method Detail

#### getValueTypeDesc

    public String getValueTypeDesc()

Description copied from class: `ValueInstantiator`
Method that returns description of the value type this instantiator handles. Used for error messages, diagnostics.

Specified by:
  `getValueTypeDesc` in class `ValueInstantiator`

#### canInstantiate

    public boolean canInstantiate()

Description copied from class: `ValueInstantiator`
Method that will return true if any of `canCreateXxx` method returns true: that is, if there is any way that an instance could be created.

Overrides:
  `canInstantiate` in class `ValueInstantiator`

#### canCreateUsingDefault

    public boolean canCreateUsingDefault()

Description copied from class: `ValueInstantiator`
Method that can be called to check whether a default creator (constructor, or no-arg static factory method) is available for this instantiator

Overrides:
  `canCreateUsingDefault` in class `ValueInstantiator`

#### createUsingDefault

    public Object createUsingDefault(DeserializationContext ctxt)
                              throws IOException

Description copied from class: `ValueInstantiator`
Method called to create value instance from a JSON value when no data needs to passed to creator (constructor, factory method); typically this will call the default constructor of the value object. It will only be used if more specific creator methods are not applicable; hence "default".

This method is called if `ValueInstantiator.getFromObjectArguments(com.fasterxml.jackson.databind.DeserializationConfig)` returns null or empty List.

Overrides:
  `createUsingDefault` in class `ValueInstantiator`
Throws:
  `IOException`